import java.io.*;
import java.net.*;

public class BoxProgram {   
	public static void main(String[] args) {
		try {
			BufferedReader stdIn = new BufferedReader(new InputStreamReader(System.in));
			String fromServer;
			while ((fromServer = stdIn.readLine()) != null) {
				if (fromServer.equals("Crash.")) {
					return;
				} else if (fromServer.length() > 4 && fromServer.substring(0,4).equals("set ")) {
					System.out.println("Setstate " + fromServer.substring(4));
					System.out.println("Stabilize");
					System.out.println("Checkpoint");
				} else if (fromServer.length() >= 3 && fromServer.substring(0,3).equals("get")) {
					System.out.println("Getstate");
					String state=stdIn.readLine();
					System.out.println("Echo My state is: " + state);
					System.out.println("Ready");
				} else if (fromServer.equals("Self")) {
					System.out.println("Self");
					System.out.println("Echo I am " + stdIn.readLine());
					System.out.println("Ready");		
				} else {
					System.out.println("Echo " + fromServer);
					System.out.println("Ready");
				}
			}
		}
	 catch (Exception e) {
			e.printStackTrace();
		}
	}
}
